use comfy::{draw_circle, draw_sprite, vec2, EngineContext, Vec2, GREEN};

use crate::game::ZLayer;

pub mod worldgen;

pub fn draw(state: &crate::State, _engine: &comfy::EngineContext<'_>) {
	draw_circle(vec2(0.0, 0.0), 0.5, GREEN, 0);
	for (coords, tile) in state.overworld.iter_tiles() {
		for (i, texture) in tile.textures().iter().rev().enumerate() {
			let i = i as i32;
			draw_sprite(
				*texture,
				coords.as_vec2(),
				Default::default(),
				ZLayer::MapMax - i,
				Vec2::ONE
			)
		}
	}
}

pub fn update(_state: &mut crate::State, _engine: &mut EngineContext<'_>) {}
